///
/// 付箋処理
///
desknets.tags.init = function () {
    var self = this;
    self.restURL = desknets.getUrl('zrtag');
    self.$root = $('#dn-tags');
    self._initEvents();

    desknets.tags.item.init();
    desknets.tags.memo.init();
    desknets.tags.memopad.init();
    $('#dn-ntwi-container').bind('ntwirefresh', function () {
        self._updateMemoTagBadge();
    });
    if (!desknets.pageframe.isShownMenu('memp')) {
        self.$root.find('#tag-links > .tag-memp').hide();
    }
    if (!desknets.pageframe.isShownMenu('memo')) {
        self.$root.find('#tag-links > .tag-module').hide();
    }
    else {
        self._updateMemoTagBadge();
    }
    if (!self.isShownHelpfeelFaq()) {
        self.$root.find('#tag-links > .helpfeel-faq').hide();
    }
    this.inithelpfeel();
};
desknets.tags.setuphelpfeel = function (icnt) {
    var self = this;
    if (icnt > 10) {
        return 0;
    }
    this.$helpfeel = $('#helpfeel-element').find('.helpfeel-launch-button');
    if (self.$helpfeel.length == 0) {
        setTimeout(function () {
            icnt++;
            self.setuphelpfeel(icnt);
        }, 500);
    }
    else {
        self.$root.find('#tag-links .helpfeel-faq-button').attr('title', desknets.Resource.com_helpfeel_title);
        self._updateButtonPosition();
    }
};
desknets.tags.isShownHelpfeelFaq = function () {
    if ($('#helpfeel-js').length == 0) {
        return false;
    }
    return true;
};
desknets.tags._updateButtonPosition = function () {
    var method = (desknets.browser.tablet || $(window).height() < 550) ? 'addClass' : 'removeClass';
    this.$root.children('#tag-links')[method]('small-screen');
};
